Summary:	XPCOM bindings for Python

Name:		python-module-xpcom
Version:	0.0.0
Release:	alt0.0.20100412.M50P.1
Serial:		1
License:	MPL/GPL/LGPL
Group:		Development/Python
Packager:	Alexey Gladkov <legion@altlinux.ru>

Provides:	python-xpcom
#Conflicts:	python-module-xpcom < 1:0.0.0-alt0.20100123

Source:		pyxpcom-%version.tar
Patch0:		configure.patch

BuildRequires(pre): rpm-build-mozilla.org

BuildRequires:	gcc-c++ zip
BuildRequires:	python-devel python-modules-compiler
BuildRequires:	xulrunner-192-devel

BuildRequires: autoconf_2.13
%set_autoconf_version 2.13

%add_python_req_skip _nsdom

%description
This package contains the libraries and Python modules necessary to use
Mozilla XULRunner's XPCOM.

%package devel
Summary:        PyXPCOM development kit.
Group:          Development/Python

%description devel
PyXPCOM development kit.

%prep
%setup -q -n pyxpcom-%{version}
%patch0

%build
sed -i \
	-e 's#^AC_CONFIG_AUX_DIR(\${srcdir}/build/autoconf)#AC_CONFIG_AUX_DIR(build/autoconf)#' \
	configure.in
%__autoconf

%define _configure_script ../configure

mkdir objdir
cd objdir

%configure \
	--with-libxul-sdk="%xulr_develdir" \
	--with-system-nspr
%make_build

%install
cd objdir/dist

mkdir -p -- \
	%buildroot/%xulr_prefix/components \
	%buildroot/%python_sitelibdir \
	%buildroot/%_includedir \
	#

cp bin/libpyxpcom.so             %buildroot/%xulr_prefix
cp bin/components/libpydom.so    %buildroot/%xulr_prefix/components/
cp bin/components/libpyloader.so %buildroot/%xulr_prefix/components/
cp bin/components/pyabout.py     %buildroot/%xulr_prefix/components/
cp -r bin/python/*               %buildroot/%python_sitelibdir
cp -a include/PyXPCOM.h          %buildroot/%_includedir/

%files
%xulr_prefix/libpyxpcom.so
%xulr_prefix/components/libpydom.so
%xulr_prefix/components/libpyloader.so
%xulr_prefix/components/pyabout.py*
%python_sitelibdir/nsdom
%python_sitelibdir/xpcom

%files devel
%_includedir/*

%changelog
* Tue Sep 07 2010 Andrey Cherepanov <cas@altlinux.org> 1:0.0.0-alt0.0.20100412.M50P.1
- backport to p5 branch (new version of xulrunner)

* Mon Apr 12 2010 Alexey Gladkov <legion@altlinux.ru> 1:0.0.0-alt0.20100412
- New snapshot.
- Add -devel subpackage (ALT#23287).

* Sat Jan 23 2010 Alexey Gladkov <legion@altlinux.ru> 1:0.0.0-alt0.20100123
- First build for sisyphus.
